org.apache.xerces.dom

## Class DeferredAttrNSImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.AttrImpl
    - - org.apache.xerces.dom.AttrNSImpl
      - - org.apache.xerces.dom.DeferredAttrNSImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DeferredNode, org.w3c.dom.Attr, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

      public final class DeferredAttrNSImpl
      extends AttrNSImpl
      implements DeferredNode

  DeferredAttrNSImpl is to AttrNSImpl, what DeferredAttrImpl is to AttrImpl.
  Version:
    $Id: DeferredAttrNSImpl.java 447266 2006-09-18 05:57:49Z mrglavas $
  Author:
    Andy Clark, IBM, Arnaud Le Hors, IBM
  See Also:
    `DeferredAttrImpl`, Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `fNodeIndex` Node index.

    - ### Fields inherited from class org.apache.xerces.dom.AttrNSImpl

      `localName, namespaceURI`

    - ### Fields inherited from class org.apache.xerces.dom.AttrImpl

      `name, value`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.apache.xerces.dom.DeferredNode

      `TYPE_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNodeIndex()` Returns the node index.
    `protected void` | `synchronizeChildren()` Synchronizes the node's children with the internal structure.
    `protected void` | `synchronizeData()` Synchronizes the data (name and value) for fast nodes.

    - ### Methods inherited from class org.apache.xerces.dom.AttrNSImpl

      `getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix`

    - ### Methods inherited from class org.apache.xerces.dom.AttrImpl

      `cloneNode, getChildNodes, getElement, getFirstChild, getLastChild, getLength, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSchemaTypeInfo, getSpecified, getValue, hasChildNodes, insertBefore, isEqualNode, isId, item, makeChildNode, normalize, removeChild, replaceChild, setIdAttribute, setNodeValue, setOwnerDocument, setReadOnly, setSpecified, setType, setValue, toString`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getContainer, getFeature, getNextSibling, getNodeNumber, getOwnerDocument, getParentNode, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, getUserDataRecord, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setTextContent, setUserData, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Field Detail

    - #### fNodeIndex

          protected transient int fNodeIndex

      Node index.

  - ### Method Detail

    - #### getNodeIndex

          public int getNodeIndex()

      Returns the node index.
      Specified by:
        `getNodeIndex` in interface `DeferredNode`

    - #### synchronizeData

          protected void synchronizeData()

      Synchronizes the data (name and value) for fast nodes.
      Overrides:
        `synchronizeData` in class `NodeImpl`

    - #### synchronizeChildren

          protected void synchronizeChildren()

      Synchronizes the node's children with the internal structure. Fluffing the children at once solves a lot of work to keep the two structures in sync. The problem gets worse when editing the tree -- this makes it a lot easier.
      Overrides:
        `synchronizeChildren` in class `AttrImpl`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.